
Version 0.1 2005/08/02

開発環境をdevkitARM_4.0.1+libnds-20050714に更新。
色々結合したついでに名前変更。

Version 0.1+1 2005/08/08

開発環境をdevkitPRO+libnds-20050804に更新。
MP3に仮対応。GSMは組み込んだけど鳴らず。
ストリームPCM再生エンジンを全面作り直し。NSF再生時のノイズが無くなったはずです。

Version 0.1+2 2005/08/10

MP3再生時にCPUHALTするバグを仮修正。

Version 0.1+3 2005/08/11

ストリームPCM再生のプチノイズを軽減しました。
MP3再生の容量制限を無くしました。

Version 0.2 2005/08/12

NSF再生時に直流成分補正するようにしました。
ストリームPCM再生のプチノイズを撲滅！やっとです。
mp3のlibmadのコンパイルオプションをOPT_SPEEDからOPT_ACCURACYに変更しました。
再生できないmp3があったバグを修正しました。
キー配置を若干変更。オンラインヘルプを参照して下さい。


Version 0.2+1 2005/08/12

GBAMPCFI/Oライブラリのベース制作者名(chishm様)を入れ忘れていたのを修正しました。

Version 0.2+2 2005/08/13

ファイルリストでUnicodeの日本語ロングファイルネーム表示に対応しました。日本語パス名は不可です。
タッチパネルの操作に誤差が発生するバグを修正したつもり。未検証です。
JpegPlugin:最後まで表示すると終了できなくなるバグを修正しました。
JpegPlugin:高速でスクロールすると一番上にループしてしまうバグを修正しました。
PNGPlugin:キャッシュ外領域を表示する際にファイルを開き直してシークするようにしましたが、非常に重いです。
画像表示ウィンドウが最前面になっているときに、カーソルキーを画像スクロールに割り当てました。Aボタンを押しながらで4倍速になります。

Version 0.2+3 2005/08/16

日本語ファイル名でUnicodeの半角かなの表示に失敗していたバグを修正しました。
再生中にフォルダを移動すると停止するバグを修正しました。
フラッシュカートのGBFSに対応しました。files_gbfs/readme.txtを参照して下さい。

Version 0.2+4 2005/08/16

ファイルリストウィンドウをサブディスプレイに移動しました。
画像ウィンドウをフルスクリーンに変更しました。

Version 0.2+5 2005/08/17

テキスト形式に対応しました。

Version 0.2+6 2005/08/18

MP3Plugin:終了検出に失敗してループするバグを修正しました。
FileSelect and TextPlugin:multi languageに対応しました。
(cp874/cp932/cp936/cp950/cp1250/cp1251/cp1252/cp1253/cp1254/cp1255/cp1256/cp1257/cp1258)
変更方法はChangeCodePage/codepage.txtを参照して下さい。

Version 0.2+7 2005/08/20

JpegPlugin:残メモリ容量に依存しないでデコードするようにしました。

Version 0.2+8 2005/08/21

NSF/MP3Plugin:シークバーをサポートしました。
ファイルカーソル移動その他でストリームPCMにプチノイズが入っていたバグを修正しました。
NDSの蓋を閉じるとバックライトを消灯するようにしました。
その他細々と修正。

Version 0.2+9 2005/08/22

ランダムプレイ、リピートなどを実装しました。
バックライトを消すと音も消えてしまったので無効にしました。調べなおします。
項目は少ないですが設定ができるようになりました。files/.shell/global.iniを参照して下さい。
設定項目追加[System]:StartPath/FileSelectSubScreen/ClosedSholderButton/MusicNext
設定項目追加[TextPlugin]:SpacePixel


Version 0.3 2005/08/31

SaTa.さんのソースを参考に、蓋を閉めるとバックライトを消すようにしました。
ADPCMを再生すると他のコーデック(NSFなど)が異常になるバグを修正しました。
英語、ロシア、および日本語のreadmeファイルを同梱しました。（Kir様とzubiac様に感謝します）
設定項目追加[Boot]:hiddenAboutWindow//hiddenHelpWindow/hiddenDateTimeWindow(各ウィンドウを表示しない)
設定項目追加[System]:FullScreenOverlaySubScreen(フルスクリーン表示にしたときにサブ画面に表示する)
DMVエンコーダに画像を上下逆にエンコードするオプションを追加しました。
MP3がシークできなくなっていたバグを修正しました。
その他細々としたバグなどを修正。

Version 0.3+1 2005/09/01

dmvenc.exe: wav2m6258.dllが見つからないときにエラーダイアログを出すようにしました。
日本語以外のreadmeファイルを新しい物に入れ替えました。（日本語版が一番遅れている噂が…（笑
LZ77圧縮を有効にしたまま公開してしまいました。示唆して下さったtakeru様に感謝します。
設定項目追加[ColorCoordination]:各部の色を変更できます。RRGGBB24bitフォーマットで指定して下さい。

Version 0.3+2 2005/09/27

コンパイル環境を更新しました。devkitProUpdater-1.0.9.exe(devkitARMr16/libnds-20050921)で再コンパイルできます。
マルチブートできるようになりました。
chishm様のgbamp_cf.cを2005-09-05版に更新しました。
MP3Plugin:44kHz以外の周波数をサポートしました。
MP3Plugin:少しだけ高速化しました。
BMP/Jpeg/PNGPlugin:ウィンドウより小さな画像ファイルを正常に表示するように修正しました。
NDSROMPlugin:GBAMPCFでNDSROMファイルが起動できるようになりました。(Thanx SaTa.)

Version 0.4 2005/10/15

なに変えたか覚えてない…。覚えているところだけ列挙。（順番は時間と同期しません）
DMVを全面的に新しくしました。より速くなめらかに、そしてファイルサイズが大きくなっています。
起動時サウンドを追加しました。（停止はglobal.ini参照）
キーリピート遅延と間隔を設定できるようにしました。（変更はglobal.ini参照）
NDSROM起動時にCrashMeを検出して停止するようにしました。（今後予想される亜種にはまったく無力です）
ファイルリストの再描画を必要な分だけ更新するようにしました。
IMFSでLZSSのデコードバグがあったので修正しました。
ファイルシステムにEXFSを追加しました。SuperCardなどの単一NDSROM使用が便利になっているといいのですが…。（files_EXFS/readme.txt参照）
DMV再生時にフルスクリーン（タッチパネルをクリック）にすると下画面のライトを消灯するようにしました。
SPC再生に対応しました。（PocketSPCを丸々組み込みました） 快く許可を下さったGary Linscott氏に感謝します。
GBAMPCFドライバが新しくなってFAT32に対応しました。
プロポーショナルフォントを半角英数だけキャッシュして高速化しました。

Version 0.5 2005/10/26

ウィンドウバッファメモリを必要に応じて確保/解放するようにしました。
GIF/GSM/MOD/S3M/IT/XM/MTM/OGGプラグインを追加しました。
M3 perfect AdapterのCF版に対応しました。（NDSROM起動は出来ません）
バックライトの消灯バグを修正しました。
ストリームPCMに入るノイズを少しだけ軽減したつもり。
ウィンドウタイトルに現在再生中のファイル名を表示するようにしました。
global.iniのStartupSound設定項目を[System]セクションから[Boot]セクションに移動しました。
global.iniで未知のキーを検出してもエラー停止しないように変更しました。
dmvenc.exeでMCUCountエラーが発生するバグを修正しました。
その他細々と修正。

Version 0.6 2005/10/31

設定項目追加[MikModPlugin]:MaxVoiceCount(最大発音数設定)
DMA転送を間違って使用していたバグを修正しました。テキストプラグインなどに影響します。
ファイルエントリのオーバーフローをチェックしていなかったバグを修正しました。

Version 0.6+1 2005/11/01

ModPlugin:ZIP圧縮されたMODファイルを演奏しようとしたときにメッセージを表示するようにしました。
ModPlugin:シークバーがVer0.6でエンバグしていたので修正しました。

Version 0.7 2006/01/01

DPG(nDs-mPeG-format)に対応。
他色々。

Version 0.7+1 2006/01/02

ボリュームが100%以外の時に異常出力になるバグを修正しました。

Version 0.8 2006/01/07

FlashMeしていないDSで起動できないバグを修正しました。(Thanks! Thijsie and SPiercey)
DPGPlugin:5%高速化
DPGPlugin:RGB->YUV変換でゴミが出るバグを修正したつもり。（未確認）

Version 0.9 2006/01/23

PassMe/FlashMe互換性を向上したつもり。
ふたを閉じたときにLEDを点滅させるようにしました。
WavePluginをサポートしました。（無圧縮LinerPCMのみ）
SPCPluginを高速化しました。
DPGPlugin及びdpgencを大幅に改良修正しました。
M3SDに対応し、自動検出するようにしました。
SCSD自動判定ルーチンを改良しました。
ファイル読み込みバグを修正し、MODPlugin/GIFPlugin他が修正されました。
ウィンドウメモリを動的に確保してメモリを節約するようにしました。
静止画表示時にX/Yキーで拡大縮小できるようにしました。(65%〜800%)
音楽/動画が終了したときに電源OFFできるようにしました。
動画以外のボリュームを100%以上にできるようにしました。
NDSPlugin:CrashMe(DS Bricker)チェックルーチンがウィルス本体と誤判定されないようにしたつもり。

Version 0.99 2006/02/01

・わかりやすめの更新点

NSF/BMP/Jpeg/MOD/SPC/WAV/MP3/DPG/OGGを開くときにファイル情報ウィンドウを表示するようにしました。
セットアッププログラムを追加しました。
指定秒数何もキー入力がないときにバックライトを消灯するようにしました。
ファイル名をソートするようにしました。
シャッフルリストを実装しました。
キーホールドやウィンドウ描画などで音が途切れにくくしました。
テキスト読み込みの容量制限を無くしました。（最大行数は262144行までです）
次曲選択処理にNormalPowerOff(順再生完了後電源オフ)とShufflePowerOff(シャッフル再生完了後電源オフ)を追加しました。

・多言語関係の更新点

言語セットにMS100(UTF-8)とCP949を追加しました。
フィンランド語のreadme.txtを追加しました。(Thanks Xtreme)
スウェーデン語のreadme.txtを追加しました。(Thanks Mithos)
EXFSでロングファイルネームをUnicodeで格納するようにしました。

・環境設定関係の更新点

環境設定ファイルを自動認識されたデバイスから読み込むようにしました。
[System]セクションにSoundVolumeを追加しました。ボリューム初期値です。
[BacklightTimeout]セクションにWhenX項目を追加しました。バックライトタイムアウト秒数です。
[SPCPlugin]にDefaultSongLengthを追加しました。TAGが無いときの標準秒数です。
スキン機能を追加しました。(SkinSampleフォルダを参照してください)
色設定とウィンドウ位置設定をskin.iniから読み込むようにしました。

・プラグイン関係の更新点

DPG再生時の音声と動画の同期性を改善しました。
DPG再生で12分近辺で停止するバグがやっと解決しました。
NSF再生時3秒以上無音が続いたときに終了と判定するようにしました。
SPC再生時3秒以上無音が続いたときに終了と判定するようにしました。
OGG再生時にシークバーが更新されないバグを修正しました。
Text表示時に行数表示が更新されないバグを修正しました。

・内側ぎみの更新点

ふたを閉じているときにソフトパワーオフが作動しないバグを修正しました。
タッチパネル取得コードを"touch.c,v 1.13 2006/01/12 11:13:55 wntrmute Exp"に更新しました。
タッチパネル座標を平滑化するようにしました。
CFSD/FlashCart自動認識でFATドライバよりFlashCartを優先するようにしました。
ストリーム読み込み中にメディアを移動（IMFS->MPCF,MPCF->GBFS等）すると停止するバグを修正しました。
バックライトタイムアウトを無効にしているとペン入力が無視されるバグを修正しました。
dpgencをちょっとだけ修正しました。

Version 0.991 2006/02/05

オーバーサンプリングして音質を向上しました。
フォーマット(ベース周波数x倍率=出力周波数) / NSF(76.4kHzx2=152.8kHz) / MP3(48kHzx4=192kHz) / SPC(32kHzx4=128kHz) / MOD(44.1kHzx4=176.4kHz) / OGG(44.1kHzx4=176.4kHz) / WAV(48kHzx4=192kHz) / WAV(96kHzx2=192kHz) / WAV(192kHzx1=192kHz) / GSM(48kHzx1=48kHz)

Version 0.992 2006/02/08

オーバーサンプリングコードを消してしまったので再度作成しました。
cory1492氏のアイデアを参考にSCSDを少し修正しました。
dpgencの動画エンコードオプションを編集できるようにしました。
使用ライブラリをlibnds-20060201に更新しました。（主にタッチパネル関係が目的です）
ドイツ語のreadme.txtを追加しました。(Thanks Ohr GmbH)
起動サウンドを有効にして、起動直後に未対応ファイルやエラーファイルを開き、Rボタンを押すと停止するバグを修正しました。(Thanks 679氏)
ARM9割り込み関係のコードをITCMに移動して高速化しました。
ファイルオープンに失敗したとき、その旨を報告するウィンドウを表示するようにしました。

Version 0.999 2006/02/14

FATライブラリをgba_nds_fat_2006-02-09に更新しました。(very very thanks Chishm)
MagicKey2/3に仮対応しました。(forMagicKey/readme.txtを参照してください)
正常なファイルを開いて閉じて、フォルダを移動して無効なファイルを開いたあとRボタンを押したときに、現在いるフォルダに前々回開いたファイルと同じファイルタイプが無いときにハングアップするバグを修正しました。(Thanks 681氏)
画像表示の最大縮小率を65%から50%にしました。
MP3Plugin:シークの反応速度を改善しました。
DPGPlugin:'mpeg1-audio-layer-2'をオーディオコーデックに使えるようにしました。
DPGPlugin:ボリュームを大きくできるようにしました。
DPGPlugin:同期問題が無くなったはずです。
dpgencで複数の音声取得方法を選べるようにしました。（無音になってしまう環境が減るといいな）

Version 1.0 2006/02/25

DPGPlugin:音声コーデックにGSMとMP2を両方使えるようにしました。
PNGPlugin:ストリーム読み込みに対応しました。
BMPPlugin:ストリーム読み込みに対応しました。
画像表示の最大縮小率を50%から25%にしました。
ファイルウィンドウのファイル数表示で、純ファイル数（フォルダを除く）を表示するようにしました。
外部プラグイン(MSP形式)を動的に使えるようにして、大幅にメモリを節約しました。
フォントファイルを動的に替えられるようにしました。CreateFontPackage.exeを使用してください。
DPGPlugin:デコードが遅れたときの処理を選べるようにしました。global.iniの[DPGPlugin]セクションを参照してください。
global.iniのClosedSholderButtonにFlexibleを追加しデフォルト値としました。L+R同時押し操作です。
global.iniの[System]セクションにRTC24Hour項目を追加しました。

Version 1.1 2006/03/21

EXFSに関する致命的なバグを修正しました。
MoonShellPluginVersion2.0(MSPV20)をサポートしました。
global.iniの[System]セクションにFileMaxCount項目を追加しました。
GameMusicEmu(NSF/GBS)ライブラリを内包しました。
BMP/OGG/PNGプラグインを更新しました。
IKM/JPG/MDX/PSD/MID/RCP/R36プラグインを追加しました。
セットアップのROMタイプにNormal/SuperCard/SmallM3SDonlyを追加しました。(未確認)
画像モードでLボタンを押すと前のファイルに戻るようにしました。

Version 1.11 2006/03/25

SELECTを押しながらLかRボタンを押すと、バックライト明度を変えられるようにしました。（NDSLite以外では無視されます）
global.iniの[System]セクションにNDSLiteDefaultBrightness(起動時のバックライト明度)を追加しました。

Version 1.2 2006/05/05

global.iniの[System]セクションのNDSLiteDefaultBrightnessに(4=自動検出)を追加しました。
global.iniの[Boot]セクションのStartupSoundに(2=Auto start)を追加しました。
GBAMP/アドムービーで一部のMicroDriveをサポートしました。（付属のファームを書き込んでください）
MSPV30で時計プラグインをサポートしました。global.iniの[BacklightTimeout]秒経過すると時計を表示します。
MID/RCPプラグインを少し修正しました。（サウンドフォントやmidrcp.iniに変更はありません）
global.iniの[System]セクションにWhenPanelCloseを追加しました。1でパネルを閉じたときに電源を切ります。
global.iniの[System]セクションにTopScreenFlipを追加しました。上部画面を回転/反転します。
閉じるボタンを実装しました。
global.iniの[System]セクションにImageControlTimeOutSecを追加しました。フルスクリーン画像表示の一案です。
DPG再生が重くなるバグを修正しました。(libnds-20060410からlibnds-20060201に戻しました）
DPGデコーダを少し高速化しました。（ほんとに少しだけ
global.iniの[DPGPlugin]セクションのDitheringに3=Heavyを追加しました。Ver0.99風ディザモードです。
global.iniの[DPGPlugin]セクションにAdaptiveDelayControlを追加しました。動き優先か同期性優先を指定できます。
画像表示のスクロールを高速化しました。
MID/RCPプラグインがファイルハンドルを解放しないバグを修正しました。
自分用機能が入ったままになっていたので戻しました。
英語版とフィンランド語版のreadmeファイルを同梱しました。(Thank you Xtreme!)
スペイン語版のreadmeファイルを同梱しました。(Thank you JuSJo!)

Version 1.21 2006/05/06

Setup.exeを作り直しました。
Pepsiman-M3powerloader.zipを参考にして、M3メニューからAボタンで起動できるようになりました。
MS-Windows30Likeスキンを修正しました。(Thank you Xtreme!)
readme(english).txt updated.
readme(finnish).txt updated.
readme(german).txt (fixed & saved to Unicode)
readme(russian).txt (saved to Unicode)
readme(spanish).txt (saved to Unicode)
readme(swedish).txt (saved to Unicode)

Version 1.3 2006/05/23

global.iniの[System]セクションのImageControlTimeOutSecを削除しました。
global.iniの[ImagePlugin]セクションを追加しました。
MSPV40を組み込みました。GBAカート(M3/SC)の外部メモリをキャッシュとして使います。
BMP/PNG/JPG/PSDプラグインでMSPV40を使うようにしました。
Setup.exeに動的フォントパッケージ作成機能を追加しました。
Setup.exeに全ての格納ファイルをそのまま吐き出す機能を追加しました。
サムネイル機能を追加しました。
global.iniに[Thumbnail]セクションを追加しました。
ダブルスクリーンオプションは動作が不安定なので、基本的に使用できないと思ってください。
global.iniに[HiddenItem]セクションを追加しました。
global.iniの[ClockPlugin]セクションを追加しました。日本語な人はあんまり関係ありません。
Jpegプラグインがモノクログレースケール画像を正常に展開できないバグを修正しました。
FATからファイル名を正確に取得できるようになりました。β版のサムネイルを作成し直す必要があります。

Version 1.31 2006/06/14

長い間放置していたテキストプラグインの右端が欠ける問題を修正しました。(Thanks HyperHacker)
EZ-Flash4に対応しました。(Thanks EZ4 Team)
[System]セクションのRTC24Hourを削除し忘れていたので削除しました。(Thanks Xtreme)
Max Media CF用FATドライバを追加しました。（動作未検証）
時計プラグインカスタムキットを追加しました。
MagicKeyでタッチパネル情報を事前に取得しておく必要がなくなりました。CalibrationTool.ndsが不要になります。
SuperCardでソフトリセット後にタッチパネルが異常になるバグを修正しました。(M3は元から問題ありません)
ストリームPCM再生時のプチノイズを軽減しました。
ひぐらし様提供のMAC風スキンを同梱しました。

Version 1.32 2006/07/01

ARM7コードを[Version 1.31 FinalBeta 3]版に戻しました。

Version 1.33 2006/07/15

CP932-2(日本語S-JIS)にSHARP/LCフォント風を追加しました。
CP950(big5)にczw氏作の正確な中国語フォントを追加しました。(Thanks czw!)
NDSROM本体はVer1.32と同じです。

Version 1.4 2006/09/01

.Plugin関係
global.iniの[TextPlugin]セクションにScrollTypeを追加しました。フルページスクロールができます。
global.iniの[TextPlugin]セクションにSelectDisplayを追加しました。上下ディスプレイを選べます。
global.iniの[ImagePlugin]セクションにInterpolationを追加しました。画像拡縮時に二次補完します。
DPGビデオのGSM音声サポートを取り除きました。
DPGビデオのMP2音声で2xオーバーサンプリングするようにしました。
より高いフレームレートのために、DPG1形式を支持しました。
Jpeg plugin: jpegaccu.iniにProgressiveJpegアイテムを追加しました。
MOD/MIDI/SPC/NSF/GBS plugin: サンプリング周波数を32768Hzに変更して、オーバーサンプリングを無効にしました。
MIDI plugin: 16bitPCMサウンドフォント使用時に二次補完するようにしました。
SPC plugin: ミキシングバッファサイズを小さくしてLPF特性を修正しました。

.Driver関係
新M3ProMiniSDに対応しました。
SuperCard/MicroSDに対応しました。
ROMファイル名に詳細なアダプタ名を追加しました。
M3CF/M3SDで画像キャッシュに使う拡張メモリ容量の自動検出に失敗していたバグを修正しました。

.基本機能関係
何も開いていないときにBボタンを押すと、ひとつ上のフォルダに戻るようにしました。
レジュームに対応しました。詳細はresume.txtを参照してください。
ブックマーク機能を追加しました。詳細は'misc/Bookmark/Bookmark.txt'を参照してください。
EXFS(フラッシュカートモード)でレジューム及びブックマークが使えるようにしました。
プチノイズをもう少し軽減しました。
ボリュームを100%未満にしたときに、ハードウェアミキサーを使うようにしました。
global.iniの[System]セクションのWhenPanelCloseに[2=shell/shutdown.mp3を再生してから電源OFF]を追加しました。
global.iniの[System]セクションのStartupSoundに2(起動時自動再生)を指定したときに、常に同じ曲順になるバグを修正しました。

.日本語関係
CP932-3(日本語S-JIS)に固定幅フォントを追加しました。
CP932-4(日本語S-JIS)に標準日本語フォント(ArialUnicode版)を追加しました。
CP932-5(日本語S-JIS)に固定幅フォント(ArialUnicode版)を追加しました。
日本語フォントセット全てに第三水準漢字/第四水準漢字を追加しました。（動作未確認）

Version 1.41 2006/09/08

.Driver関係
Ewin2/MicroSDに対応しました。
M3Lite/MicroSDに対応しました。
SuperCard/MicroSDに対応しました。
NinjaDS/SDに対応しました。

.基本機能関係
shellフォルダを改名したり移動しても追従するようにしました。この機能はできるだけ使わないでください。
ふたを閉じると電源が切れる設定(WhenPanelClose=2)になっているときに、レジュームを保存するときに現在再生位置も保存するようにしました。
CP1250〜CP1258で上端が欠ける文字があるバグを修正しました。

Version 1.5 2006/12/03

EZ4/DSLinkに対応しました。（皇帝様に深く感謝します）
キャッシュメモリに、DSブラウザのメモリー拡張カートリッジを使えるようにしました。
レジューム項目をいくつか追加しました。（サウンドボリューム、再生モード、NDSLiteバックライト明度）
global.iniの[System]セクションにResumeUsingWhileMusicPlayingを追加しました。曲再生中もレジューム保存しますが、遅いSDカードでは音飛びすることがあります。
DPGフォーマット(DPG2)を新しくしました。新エンコーダで作ったDPGファイルはシークが速くて画像も乱れません。特に長いビデオで顕著です。

Version 1.51 2006/12/16

GBAMP/SDに対応しました。
DPGの音声/映像共に大幅に改善しました。できれば再エンコードしてください。
dpgencの言語ファイルにnhlay様作の[Chinese Traditional]を追加しました。
アルファチャネル付きファイルカーソルスキン対応。
MP3プラグインでIDv3のジャンル読み込みに失敗するバグを修正しました。
MP3再生時にループノイズが入るバグを修正しました。
レジュームのデフォルト設定を勘違いしていたので修正しました。
ふたを閉じたときに電源を切る設定が正常に働かないバグを修正しました。

Version 1.6 2007/01/19

.基本変更

shellフォルダ名を'/moonshl'に変更しました。
スキンフォルダ名を'/moonshl/skin'に変更しました。
global.iniファイル名を'moonshl.ini'に変更しました。
動的ディスクライブラリ(DLDI)に全面的に変更しました。

.基本機能関係

MoonShellメッセージをマルチランゲージ対応にしました。
skin.iniを選択すると、スキンを変更できるようにしました。
IMFS/EXFS/GBFS用ファイルシステムを取り外しました。
システムメニューを追加しました。
環境設定をNDS上でできるようにしました。
簡易BinaryViewerを追加しました。
L/Rボタンをロックする（無効にする）機能を追加しました。
最後にいたフォルダを覚えて、次回起動時に復帰するようにしました。
moonshl.iniの[System]セクションからStartPath項目を削除しました。
バックライト明度変更をシステムメニューに追加しました。

.プラグイン関係

プラグイン起動時に致命的なメモリアクセス違反をしていたバグを修正しました。
MSEプラグインに対応しました。
MSPV50(サウンドエフェクト)プラグインに対応しました。

.画像プラグイン関係

画像プラグインで二次補完が有効な縮小率を増やしました。(31%, 37%, 43%, 62%, 75%, 87%, 125%以上)
PNGプラグインを'libpng-1.2.14'にアップデートしました。
PNGプラグインで拡張メモリを使えるようにしました。

.音声プラグイン関係

'Game_Music_Emu 0.5.2'にアップデートしました。(NSF/GBS/HES/AY/SAP/KSSドライバ有効)
NSFバージョン2のトラック数も取得できるようにしました。
環境設定に[GMEPlugin]セクションを追加しました。
環境設定の[ImagePlugin]セクションにGUITimeOutSecを0にしたときは、常にGUIを消すようにしました。
TTAプラグインに対応しました。
AACプラグインに仮対応しました。（実用レベルにはなっていません）
OGGプラグインのメモリリークバグを修正しました。

.テキストプラグイン関係

エンコードを設定できるようにしました。(UTF-8, UTF-16LE, UTF-16BE)
英文ワードラップに対応しました。
両画面に表示できるようにしました。
スクロール行数をマニュアルで指定できるようにしました。

.DPG関係

DirectShowを使わないときに、22050Hz/24000Hzの音声を含むFLVファイルを変換できないバグを修正しました。
DPG再生時にメモリアクセス違反していたバグを修正しました。
DPG再生時のファイル読み込みバッファを増やしました。
サムネイルを作成するときに、DPGファイルと同名の.bmp/.jpg/.pngファイルがあれば読み込むようにしました。

その他細々といろいろな修正とか。

Version 1.7 2007/03/07

DPGビデオデコーダを高速化しました。
スタートボタンをソフトリセットに割り当てるオプションを環境設定の[System2]ページに追加しました。

Version 1.71 2007/03/07

OGGを含むDPGファイルを二倍オーバーサンプリングして再生するようにしました。

Version 1.71+1 2007/08/22

MoonShell本体は変更していません。
同梱のDLDIパッチファイルを更新しました。
同梱のdpgtoolsをdpgtools131に更新しました。
MDX/MIDRCP/JpegAccuプラグインを更新しました。

MDXプラグイン更新点
・プラグイン開発環境をDevKitProR20+libnds-20070127に移行しました。
・曲名などの情報を表示するようにしました。
・シークに対応しました。
・とにかく手当たり次第に目立たなさそうな処理を間引いたり、アセンブラで書き直したりして軽くしました。
・MDXとPDXを結合するMargeMDXPDX.exeを併用してPDX同梱MPXファイルに対応しました。
・mdx.iniの設定項目を追加しました。

MIDRCPプラグイン更新点
・プラグイン開発環境をDevKitProR20+libnds-20070127に移行しました。
・PCM合成部分のほとんどをアセンブラで書き直して高速化しました。
・リバーブフィルタを少しだけ高音質に改良しました。
・リバーブフィルタをチャネル個別に処理するようにしました。
・midrcp.iniの設定項目を追加しました。
・サウンドフォントの周波数変換で一次補完するようにしました。
・標準MIDIファイルでペダルが効かないときがあるバグを修正しました。
・RCPファイルでペダルがまったく効いていなかったバグを修正しました。
・サウンドフォントをTTAで圧縮したりリンクリストを最適化したりしてファイルサイズを小さくしました。
・SC-88ProサウンドフォントにMT32互換音色(Bank127)を追加しました。
・ピッチベンド処理でかなり目立つバグがあったので修正しました。

JpegAccuプラグイン更新点
・プラグイン開発環境をDevKitProR20+libnds-20070127に移行しました。
・圧縮ルーチンと不要なDCTルーチンを削除して約36kbyte小さくしました。
・IDCT8x8ルーチンをアセンブラで書き直して約22%高速化しました。
・50%縮小ルーチンをアセンブラで書き直して約19%高速化しました。
・誤差拡散の有無を設定する項目をjpegaccu.iniに追加しました。

